﻿@attribute [Authorize(Roles = "Administrator, superuser")]
@page "/admin/report"
@layout Shared.Admin.MainLayout
@using System.IO;
@using iTextSharp.text;
@using iTextSharp.text.pdf;
@using iTextSharp.tool.xml;
@using iTextSharp.text.html.simpleparser;
@using Microsoft.AspNetCore.Mvc;

@using Model.Dto.Hospital
<h4>Activated and Suspended Nurse Details - Report</h4>
<center>
    <br /><br />
    <div class="row">
        <div class="col-sm">
            <button type="button" class="btn btn-outline-info btn-lg" @onclick="() => ShowHide('A')">Active Nurse List</button>
        </div>
        <div class="col-sm"></div>
        <div class="col-sm">
            <button type="button" class="btn btn-outline-danger btn-lg" @onclick="() => ShowHide('B')">InActive Nurse List</button>
        </div>
    </div>
    <br />
    @if (nurseList.Count > 0)
    {
        <div class="container-fluid" id="registered" style="display:@RegDivShow">
            <div class="row">
                <div class="col-sm">
                    <button type="button" class="btn btn-outline-info btn-lg" @onclick="() => ExportFile('A')">Active Nurse List - Generate PDF</button>
                </div>
            </div>
            <br/>
            <table class="table table-dark">
                <thead>
                    <tr>
                        <th>Nurse Name</th>
                        <th>Mobile No</th>
                        <th>NIC</th>
                        <th>Email</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var nurse in nurseList)
                    {
                        @if (nurse.IsActive)
                        {
                            <tr>
                                <td>@nurse.Name </td>
                                <td>@nurse.MobileNumber </td>
                                <td>@nurse.Nic</td>
                                <td>@nurse.Email</td>
                            </tr>

                        }

                    }
                </tbody>
            </table>
        </div>

        <div class="container-fluid" id="unregistered"  style="display:@UnRegDivShow">
            <div class="row">
                <div class="col-sm">
                    <button type="submit" class="btn btn-outline-danger btn-lg" @onclick="() => ExportFile('B')">InActive Nurse List - Generate PDF</button>
                </div>
            </div>
            <br/>
            <table class="table table-dark">
                <thead>
                    <tr>
                        <th>Nurse Name</th>
                        <th>Mobile No</th>
                        <th>NIC</th>
                        <th>Email</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var nurse in nurseList)
                    {
                        @if (!nurse.IsActive)
                        {
                            <tr>
                                <td>@nurse.Name </td>
                                <td>@nurse.MobileNumber </td>
                                <td>@nurse.Nic</td>
                                <td>@nurse.Email</td>
                            </tr>

                        }

                    }
                </tbody>
            </table>
        </div>
    }
    else
    {
        <div class="alert-info">
            <label class="text-center">No Record Found</label>
        </div>
    }
</center>

@code{



    //private FileResult File(byte[] v1, string v2, string v3)
    //{
    //    throw new NotImplementedException();
    //}
}
